Pregunta sobre Address Autocomplete Using Google Place Api de Wordpress:

TypeError Error: un.widget no es una funci贸n

Un usuario pregunt贸 馃憞

TypeError Error: un.widget no funciona en menu.min.js: 11 en menu.min.js: 11 en menu.min.js: 11 autocomplete.min.js: 11 Uncaught TypeError: un.widget no funciona en autocomplete.min.js: 11 en autocomplete.min.js: 11 en autocomplete.min.js: 11

(@jenshan)

Hace 2 a帽os, 6 meses

@morettic, tus errores son los mismos que los m铆os despu茅s de actualizar WP a 4.9.6. Y los arregl茅 agregando bibliotecas js. No conozco la causa ra铆z, pero espero que mi soluci贸n pueda ayudarlo:

Mis preguntas:

button.min.js?ver=1.11.4:formatted:29 Uncaught TypeError: a.widget is not a function
    at button.min.js?ver=1.11.4:formatted:29
    at button.min.js?ver=1.11.4:formatted:12
    at button.min.js?ver=1.11.4:formatted:13
(anonymous) @ button.min.js?ver=1.11.4:formatted:29
(anonymous) @ button.min.js?ver=1.11.4:formatted:12
(anonymous) @ button.min.js?ver=1.11.4:formatted:13
spinner.min.js?ver=1.11.4:11 Uncaught TypeError: a.widget is not a function
    at spinner.min.js?ver=1.11.4:11
    at spinner.min.js?ver=1.11.4:11
    at spinner.min.js?ver=1.11.4:11

Mi soluci贸n: coloque el c贸digo siguiente en la parte inferior del archivo functions.php

wp_enqueue_script('jquery-ui-button');
wp_enqueue_script('jquery-ui-spinner');

Y su arreglo debe ser el mismo:

wp_enqueue_script('jquery-ui-menu');
wp_enqueue_script('jquery-ui-autocomplete');

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *